Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 513594 - sci-biology/GBrowse-2.48::gentoo and sci-biology/gbrowse-2.48::science are duplicates?
Summary: sci-biology/GBrowse-2.48::gentoo and sci-biology/gbrowse-2.48::science are du...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-17 15:44 UTC by Juergen Rose
Modified: 2015-03-05 09:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2014-06-17 15:44:35 UTC
The dependencies in the ebuilds are quite different. But both packages refer to almost the same web site. 

GBrowse-2.48 fails to emerge due to file collision:

root@impala:/root(12)#  emerge -pv GBrowse
These are the packages that would be merged, in order:
...
[ebuild  N     ] sci-biology/GBrowse-2.48  USE="mysql postgres sqlite -minimal -vhosts" 0 kB
...
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:
sci-mathematics/pari:0
  (sci-mathematics/pari-2.3.5:0/0::gentoo, ebuild scheduled for merge) pulled in by
    ~sci-mathematics/pari-2.3.5 required by (dev-perl/math-pari-2.10.806.50:0/0::gentoo, ebuild scheduled for merge)
    ^                     ^^^^^
  (sci-mathematics/pari-2.5.5-r2:0/0::sage-on-gentoo, installed) pulled in by
    =sci-mathematics/pari-2.5.5-r2[data,gmp] required by (sci-mathematics/sage-6.2:0/0::sage-on-gentoo, installed)
    ^                     ^^^^^^^^
    >=sci-mathematics/pari-2.5.5 required by (sci-mathematics/sage-clib-6.2:0/0::sage-on-gentoo, installed)
    ^^                     ^^^^^
    =sci-mathematics/pari-2.5* required by (sci-mathematics/lcalc-1.23-r5:0/0::sage-on-gentoo, installed)


gbrowse-2.48 fails to emerge due to missing <=sci-biology/primer3-2.

root@impala:/home/rose(87)# emerge -vuDN gbrowse

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "<=sci-biology/primer3-2".
(dependency required by "sci-biology/gbrowse-2.48::science[-minimal]" [ebuild])

There is only:

 root@impala:/home/rose(88)# eix primer
[I] sci-biology/primer3
     Available versions:  2.3.1 (~)2.3.4 (~)2.3.5
     Installed versions:  2.3.5(12:04:12 PM 02/17/2013)


It would be really nice if both packages could be united to one working package.


Reproducible: Always
Comment 1 Andreas K. Hüttel archtester gentoo-dev 2014-12-07 17:02:38 UTC
Yes. Same upstream package, completely different ebuilds.
Comment 2 Martin Mokrejš 2015-03-05 09:33:13 UTC
In the past I tried a lot to improve the ebuild. Andrey Kislyuk wasn't happy with some ebuild coding style and brought a different (improved) version to the main tree. But, I had some issues with the official ebuild not working in some cases. You can find the details in (maybe already closed) bug reports on gbrowse.

The original improvements andrey made were about using perl classes and webapp classes by the ebuild.

While being a bad ebuild writer I got access to the sci overlay where I hack some new ebuilds for new packages time to time. That is also why the ebuild in the overlay has some more patches. I just do update some ebuild in the overlay, so the official tree will be always lagging.


Commit logs for the ebuild in overlay say:

commit 583d5ee61844e8de863d6133fe83c2fbb00b4bfc
Author: Martin Mokrejs <mmokrejs@fold.natur.cuni.cz>
Date:   Tue Feb 28 17:25:27 2012 +0100

    sci-biology/gbrowse-2.48: added dependency on <=sci-biology/primer3-2, per http://generic-model-organism-system-database.450254.n5.nabble.com/PrimerDesigner-working-in-2-40-tp4724773p5479669.html
    

I don't know whether it works with newer versions or either gbrowse or primer3.